Debian Bug report logs - #682313
Debian installer software speech does not switch language

version graph

Package: espeakup; Maintainer for espeakup is Debian Accessibility Team <debian-accessibility@lists.debian.org>; Source for espeakup is src:espeakup.

Reported by: Samuel Thibault <sthibault@debian.org>

Date: Sat, 21 Jul 2012 12:54:02 UTC

Severity: normal

Fixed in version espeakup/1:0.71-10

Done: Samuel Thibault <sthibault@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Accessibility Team <debian-accessibility@lists.debian.org>:
Bug#682313; Package espeakup. (Sat, 21 Jul 2012 12:54:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Accessibility Team <debian-accessibility@lists.debian.org>. (Sat, 21 Jul 2012 12:54:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: Cyril Brulebois <kibi@debian.org>, Jean-Philippe MENGUAL <mengualjeanphi@free.fr>, debian-accessibility@lists.debian.org, submit@bugs.debian.org
Subject: Re: Debian installer
Date: Sat, 21 Jul 2012 21:44:11 +0900
Package: espeakup

Samuel Thibault, le Sat 21 Jul 2012 21:17:13 +0900, a écrit :
> Cyril Brulebois, le Sat 21 Jul 2012 13:40:51 +0200, a écrit :
> > Hello Jean-Philippe,
> > 
> > Jean-Philippe MENGUAL <mengualjeanphi@free.fr> (21/07/2012):
> > > I try some tests from a Debian from scratch. The 1st, is the
> > > installation. With speech. And 1st problem: after I do s, Enter, I
> > > choose French (it's the choice number 7 I believe). But espeak goes on
> > > speaking in English: it reads some French text with English accent. Is
> > > that experienced by other people?
> > 
> > that's what I got during my beta 1 tests, but since that was my first
> > installation, I wasn't sure whether that was a bug/regression.
> 
> It'd be a regression, it was working with alpha1.

I confirm the issue, this is due to the espeak switch to multi-arch path,
espeakup then can't find the voices, I'll fix it.

Samuel



Changed Bug title to 'Debian installer software speech does not switch language' from 'Debian installer' Request was from Samuel Thibault <sthibault@debian.org> to control@bugs.debian.org. (Sat, 21 Jul 2012 12:57:03 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Samuel Thibault <sthibault@debian.org> to control@bugs.debian.org. (Sat, 21 Jul 2012 12:57:05 GMT) Full text and rfc822 format available.

Reply sent to Samuel Thibault <sthibault@debian.org>:
You have taken responsibility. (Sat, 21 Jul 2012 13:03:05 GMT) Full text and rfc822 format available.

Notification sent to Samuel Thibault <sthibault@debian.org>:
Bug acknowledged by developer. (Sat, 21 Jul 2012 13:03:05 GMT) Full text and rfc822 format available.

Message #14 received at 682313-close@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: 682313-close@bugs.debian.org
Subject: Bug#682313: fixed in espeakup 1:0.71-10
Date: Sat, 21 Jul 2012 13:02:10 +0000
Source: espeakup
Source-Version: 1:0.71-10

We believe that the bug you reported is fixed in the latest version of
espeakup, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 682313@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Samuel Thibault <sthibault@debian.org> (supplier of updated espeakup package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Sat, 21 Jul 2012 21:44:51 +0900
Source: espeakup
Binary: espeakup espeakup-udeb
Architecture: source amd64
Version: 1:0.71-10
Distribution: unstable
Urgency: low
Maintainer: Debian Accessibility Team <debian-accessibility@lists.debian.org>
Changed-By: Samuel Thibault <sthibault@debian.org>
Description: 
 espeakup   - Connector between speakup kernel modules and espeak
 espeakup-udeb - Configure the speech synthesizer voice (udeb)
Closes: 682313
Changes: 
 espeakup (1:0.71-10) unstable; urgency=low
 .
   * espeakup-udeb.restart: Fix voice path according to multiarch switch.
     Closes: #682313
Checksums-Sha1: 
 75730e6875943ea94d219be7ea2831859af1b2ff 1511 espeakup_0.71-10.dsc
 2e98c66905d286b885040c0e4f4486622e880017 13931 espeakup_0.71-10.diff.gz
 ee720c18e1dc3b25b6a2012ac27dcb8b945087ac 24762 espeakup_0.71-10_amd64.deb
 f438b6804c5fd99deebc94ec531d535d8dad3d64 203888 espeakup-udeb_0.71-10_amd64.udeb
Checksums-Sha256: 
 15e8ae0ef2f06787b76bcba7ab7f72d9f99fb68732c18dd66bdfe468a83dd3f9 1511 espeakup_0.71-10.dsc
 8380497301a17171e687455854c175cc21cb2ad0580420a87696ea632490ad01 13931 espeakup_0.71-10.diff.gz
 ebff5dbb6c3046f70c0be144122f8e7595237abc07a550964e6e61a375190de7 24762 espeakup_0.71-10_amd64.deb
 87770b8633241bf32b9435e2e7ac83ab9acbd18498967d0c080da635c453e792 203888 espeakup-udeb_0.71-10_amd64.udeb
Files: 
 19c8ca924ccae3c6e38b14a271be8104 1511 admin extra espeakup_0.71-10.dsc
 487a0ccb030220d6d08ea9b3cda2c571 13931 admin extra espeakup_0.71-10.diff.gz
 f8d1aaeb937a1bede8e1435db4dc56ff 24762 admin extra espeakup_0.71-10_amd64.deb
 0499e79ce60ce6b43ab57ab0a0c4068b 203888 debian-installer extra espeakup-udeb_0.71-10_amd64.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iF4EAREKAAYFAlAKp7UACgkQUesQhRznqyjKpgD/Zv33W49luCNBmaw9PnfKBTmF
J0DPcLQH6edntYf1V3ABAMOryl3kAmuDQAVu5dMZ29jtrMgM+8D8i36bTOrrKaWD
=cQBW
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Accessibility Team <debian-accessibility@lists.debian.org>:
Bug#682313; Package espeakup. (Sat, 21 Jul 2012 13:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Accessibility Team <debian-accessibility@lists.debian.org>. (Sat, 21 Jul 2012 13:24:03 GMT) Full text and rfc822 format available.

Message #19 received at 682313@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: Cyril Brulebois <kibi@debian.org>
Cc: Jean-Philippe MENGUAL <mengualjeanphi@free.fr>, debian-accessibility@lists.debian.org, 682313@bugs.debian.org
Subject: Re: Debian installer
Date: Sat, 21 Jul 2012 22:11:04 +0900
Cyril Brulebois, le Sat 21 Jul 2012 13:40:51 +0200, a écrit :
> Jean-Philippe MENGUAL <mengualjeanphi@free.fr> (21/07/2012):
> > I try some tests from a Debian from scratch. The 1st, is the
> > installation. With speech. And 1st problem: after I do s, Enter, I
> > choose French (it's the choice number 7 I believe). But espeak goes on
> > speaking in English: it reads some French text with English accent. Is
> > that experienced by other people?
> 
> that's what I got during my beta 1 tests, but since that was my first
> installation, I wasn't sure whether that was a bug/regression. Please
> report a bug as suggested by Jason.

The fix is now uploaded. Cyril, could you perhaps fast-forward it to
testing?

Samuel



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Accessibility Team <debian-accessibility@lists.debian.org>:
Bug#682313; Package espeakup. (Sat, 04 Aug 2012 12:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Accessibility Team <debian-accessibility@lists.debian.org>. (Sat, 04 Aug 2012 12:24:03 GMT) Full text and rfc822 format available.

Message #24 received at 682313@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Jean-Philippe MENGUAL <mengualjeanphi@free.fr>, debian-accessibility@lists.debian.org, 682313@bugs.debian.org
Subject: Re: Debian installer
Date: Sat, 4 Aug 2012 14:22:15 +0200
[Message part 1 (text/plain, inline)]
Samuel Thibault <sthibault@debian.org> (21/07/2012):
> The fix is now uploaded. Cyril, could you perhaps fast-forward it to
> testing?

The correct way to request this is by filing an unblock request, putting
debian-boot@ in cc since it has an udeb.

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Accessibility Team <debian-accessibility@lists.debian.org>:
Bug#682313; Package espeakup. (Sat, 11 Aug 2012 13:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Accessibility Team <debian-accessibility@lists.debian.org>. (Sat, 11 Aug 2012 13:45:03 GMT) Full text and rfc822 format available.

Message #29 received at 682313@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Jean-Philippe MENGUAL <mengualjeanphi@free.fr>, debian-accessibility@lists.debian.org, 682313@bugs.debian.org
Subject: Re: Debian installer
Date: Sat, 11 Aug 2012 15:43:52 +0200
[Message part 1 (text/plain, inline)]
Cyril Brulebois <kibi@debian.org> (04/08/2012):
> Samuel Thibault <sthibault@debian.org> (21/07/2012):
> > The fix is now uploaded. Cyril, could you perhaps fast-forward it to
> > testing?
> 
> The correct way to request this is by filing an unblock request,
> putting debian-boot@ in cc since it has an udeb.

FTR, now unblocked per:
  https://lists.debian.org/debian-release/2012/08/msg00481.html

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 09 Sep 2012 07:25:24 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 00:21:43 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.